% IPLPLAN.PRO: Theory about plans.
% Author: Frans A.Meijs, feb 2017.

symbol(S) :- 
    plan(S).
        
symbol(S) :-
    activitySpec(S).

symbol__isShareableElementOf_symbol(S1, S2) :-
    plan(S2),
    activitySpec(S1),
    term__isMemberOf_list(S1, S2).

entity(E) :-
    processor(E).
    
symbol__represents_concept(S, TC) :-
    activitySpec__specifies_transitionClass(S, TC).

activitySpec__specifies_transitionClass(S, [D1_LIST,D2]) :-
    activitySpec(S),
    setofall(D1, activitySpec__requires_deliverable(S,D1), D1_LIST),
    activitySpec__promises_deliverable(S,D2).  

  

