% ActivitySpecs.prp.pro: Case-facts for Iplplan.prg.pro.

activitySpec('activitySpec0').
activitySpec('activitySpec1').
activitySpec('activitySpec2').
activitySpec('activitySpec3').
activitySpec('activitySpec4').
activitySpec('activitySpec5').

activitySpec__promises_deliverable('activitySpec0', 'deliv0').
activitySpec__promises_deliverable('activitySpec1', 'deliv1').
activitySpec__promises_deliverable('activitySpec2', 'deliv2').
activitySpec__promises_deliverable('activitySpec3', 'deliv3').
activitySpec__promises_deliverable('activitySpec4', 'deliv4').
activitySpec__promises_deliverable('activitySpec5', 'deliv5').

activitySpec__requires_deliverable('activitySpec1', 'deliv0').
activitySpec__requires_deliverable('activitySpec2', 'deliv1').
activitySpec__requires_deliverable('activitySpec3', 'deliv2').
activitySpec__requires_deliverable('activitySpec3', 'deliv4').
activitySpec__requires_deliverable('activitySpec2', 'deliv5').

processor('person1').
processor('person2').
processor('person4').

activitySpec__requires_processor('activitySpec0', 'person1').
activitySpec__requires_processor('activitySpec1', 'person1').
activitySpec__requires_processor('activitySpec2', 'person2').
activitySpec__requires_processor('activitySpec3', 'person2').
activitySpec__requires_processor('activitySpec4', 'person4').
activitySpec__requires_processor('activitySpec5', 'person4').

activitySpec__requires_effort('activitySpec0', 12).
activitySpec__requires_effort('activitySpec1', 13).
activitySpec__requires_effort('activitySpec2', 14).
activitySpec__requires_effort('activitySpec3', 15).
activitySpec__requires_effort('activitySpec4', 16).
activitySpec__requires_effort('activitySpec5', 17).


% End
