% Iplplan.prc.pro

contradiction(['Contrad. class IPLPLAN1: ActivitySpec', A,
   'is not declared as such']) :-
   o_verifyingLogMsg('IPLPLAN1'),
   activitySpec__promises_deliverable(A,_),
   ~( activitySpec(A)).

contradiction(['Contrad. class IPLPLAN2: ActivitySpec', A,
   'is not declared as such']) :-
   o_verifyingLogMsg('IPLPLAN2'),
   activitySpec__requires_deliverable(A,_),
   ~( activitySpec(A)).

contradiction(['Contrad. class IPLPLAN3: ActivitySpec', A,
   'is requiring an orphan deliverable', D]) :-
   o_verifyingLogMsg('IPLPLAN3'),
   activitySpec__requires_deliverable(A,D),
   ~( activitySpec__promises_deliverable(_,D) ).

contradiction(['Contrad. class IPLPLAN10: ActivitySpec', A,
   'is not declared as such']) :-
   o_verifyingLogMsg('IPLPLAN_DETAILS1'),
   activitySpec__requires_processor(A,_),
   ~( activitySpec(A)).

contradiction(['Contrad. class IPLPLAN11: ActivitySpec', A,
   'is not declared as such']) :-
   o_verifyingLogMsg('IPLPLAN_DETAILS2'),
   activitySpec__requires_effort(A,_),
   ~( activitySpec(A)).
   
contradiction(['Contrad. class IPLPLAN12: Processor', P,
   'is not declared as such']) :-
   o_verifyingLogMsg('IPLPLAN_DETAILS3'),
   activitySpec__requires_processor(_,P),
   ~( processor(P)).
   
contradiction(['Contrad. class IPLPLAN13: ActivitySpec', A,
   'is requiring more than one processor']) :-
   o_verifyingLogMsg('IPLPLAN_DETAILS4'),
   activitySpec(A),
   propositionSet__has_cardinalNumber(activitySpec__requires_processor(A,_), N),
   N > 1.

